/* Copyright 2006 Jim Brown */
/* Autogenerate bootsector.h from a given bootsector.bin */
/* (which may be a dd dump of a disk's MBR) */

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>

int main()
{
	int fd = open("bootsector.bin", O_RDONLY);
	unsigned char mem[512];
	memset(mem, 0, 512);
	read(fd, mem, 512);
	printf("const char mbr_boot_sector[512] = {\n");
	for (int i = 0; i < 511; i++)
		printf("0x%x,\n", mem[i]);
	printf("0x%x};\n", mem[511]);
	close(fd);
	return 0;
}
